.loading-wrapper {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.4);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.loading-wrapper.show {
    display: flex;
}

.loading-item {
    padding: 50px;
    border-radius: 50%;
    border: 5px solid #fff;
    border-right-color: transparent;
    border-left-color: transparent;
    animation: rotate 1.5s linear infinite;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    80% {
        transform: rotate(360deg);
    }

    100% {
        transform: rotate(360deg);
    }
}